﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable FlatTable = populateDataTable();
        WebDataGrid1.DataSource = FlatTable;
        WebDataGrid1.DataBind();
    }

    protected DataTable populateDataTable()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        dt.Columns.Add("WorkingHours");
        dt.Columns.Add("Salary");

        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            row.SetField<Int16>("WorkingHours", 8);
            row.SetField<decimal>("Salary", 900);
            dt.Rows.Add(row);
        }
        return dt;
    }
}